Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.enc
Interface ToBeEncryptedXML

All Superinterfaces:
  ToBeEncrypted

All Known Implementing Classes:
  DOMToBeEncryptedXML

    public interface ToBeEncryptedXML

extends ToBeEncrypted

A representation of a `ToBeEncrypted` class that contains a XML Element or content of an Element

Method Summary
`CanonicalizationMethod` | `getCanonicalizationMethod()` Returns the canonicalization method
`java.lang.String` | `getEncoding()` Returns a URI identifying the transfer encoding of the data that has been encrypted.
`java.lang.String` | `getMimeType()` Returns the mime type of the data that has been encrypted.
`java.lang.String` | `getType()` Returns the URI identifying the type of the plaintext form of the encrypted content.

Method Detail

### getCanonicalizationMethod

    CanonicalizationMethod getCanonicalizationMethod()

  Returns the canonicalization method

  Returns:
    the canonicalization method. `null` if not specified

### getType

    java.lang.String getType()

  Returns the URI identifying the type of the plaintext form of the encrypted content.

  Specified by:
    `getType` in interface `ToBeEncrypted`
  Returns:
    the type, or `null` if not specified

### getMimeType

    java.lang.String getMimeType()

  Returns the mime type of the data that has been encrypted.

  Specified by:
    `getMimeType` in interface `ToBeEncrypted`
  Returns:
    the mime type, or `null` if not specified

### getEncoding

    java.lang.String getEncoding()

  Returns a URI identifying the transfer encoding of the data that has been encrypted.

  Specified by:
    `getEncoding` in interface `ToBeEncrypted`
  Returns:
    the encoding, or `null` if not specified

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org